 /*
 * IRremote: IRrecvDemo - demonstrates receiving IR codes with IRrecv
 * An IR detector/demodulator must be connected to the input RECV_PIN.
 * Version 0.1 July, 2009
 * Copyright 2009 Ken Shirriff
 * http://arcfn.com
 */

#include <IRremote.h>
#include <Servo.h>

int RECV_PIN = 2;
int LED_PIN_GREEN = 8;
int LED_PIN_BLUE = 9;
int LED_PIN_RED = 7;

IRrecv irrecv(RECV_PIN);
Servo myservo;  // create servo object to control a servo 

decode_results results;
int temp=0;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
  pinMode(LED_PIN_GREEN,OUTPUT);
  pinMode(LED_PIN_BLUE,OUTPUT);
  pinMode(LED_PIN_RED,OUTPUT);
  Serial.println("IR receiver ready");
  myservo.attach(10);  // attaches the servo on pin 10 to the servo object
  myservo.write(90);
}

void loop() { 
  if (irrecv.decode(&results)) {
    Serial.print(results.value, HEX);
    //Serial.print(',');
    //Serial.print(results.bits);
    Serial.print('\n');
    irrecv.resume(); // Receive the next value
    temp = 0;
    switch(results.value)
   {
    case 0xFFE01F:
      digitalWrite(LED_PIN_GREEN,LOW);
      myservo.write(10);
      break;
    case 0xFFA857:
      digitalWrite(LED_PIN_BLUE,LOW);
      myservo.write(10);
      break;
    case 0xFFFFFFFF:
    default:
      break;
   }
   delay(2000);
  }
  if(temp++ >= 30000)
  {
    digitalWrite(LED_PIN_GREEN,HIGH);
    digitalWrite(LED_PIN_BLUE,HIGH);
    digitalWrite(LED_PIN_RED,HIGH);
    temp = 0;
    myservo.write(90);
  }
}

